[X2Go-Commits] x2gothinclient.git - build-main (branch) updated: 1.0.1.8-55-g4dc1047

X2Go dev team git-admin at x2go.org
Fri Jul 19 23:38:11 CEST 2013


The branch, build-main has been updated
       via  4dc104753cea1742189d212eca14ceca6f3da42e (commit)
      from  87352c5c8733a92bdb805a1165c3fb884c451ae7 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 debian/x2gothinclient.postinst |   71 ++++++++++++++++++++++++++++++++++++++++
 debian/x2gothinclient.postrm   |   39 ++++++++++++++++++++++
 debian/x2gothinclient.preinst  |   48 +++++++++++++++++++++++++++
 3 files changed, 158 insertions(+)
 create mode 100755 debian/x2gothinclient.postinst
 create mode 100755 debian/x2gothinclient.postrm
 create mode 100755 debian/x2gothinclient.preinst

The diff of changes is:
diff --git a/debian/x2gothinclient.postinst b/debian/x2gothinclient.postinst
new file mode 100755
index 0000000..8739dbb
--- /dev/null
+++ b/debian/x2gothinclient.postinst
@@ -0,0 +1,71 @@
+#!/bin/sh
+# postinst script for x2gothinclient
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+	configure)
+
+		###
+		### setup X2Go user account (needed for session database)
+		###
+
+		# setup x2gothinclient user and group
+		if ! getent group x2gothinclient >/dev/null; then
+			echo "Creating x2gothinclient group." >&2
+			addgroup --system x2gothinclient
+		else
+			echo "Group x2gothinclient already exists." >&2
+		fi
+		if ! getent passwd x2gothinclient >/dev/null; then
+			echo "Creating x2gothinclient user." >&2
+			adduser --system \
+			        --disabled-password --disabled-login \
+			        --shell /bin/false --group --home /var/lib/x2gothinclient x2gothinclient
+
+			# make sure the home directory belongs to x2gothinclient:x2gothinclient
+			chown x2gothinclient:x2gothinclient /var/lib/x2gothinclient -Rf
+
+			# make sure the x2gothinclient user is in its appropriate groups
+			if getent group audio 1>/dev/null; then adduser x2gothinclient audio; fi
+			if getent group audio 1>/dev/null; then getent passwd pulse 1>/dev/null; adduser pulse audio; fi
+			if getent group pulse 1>/dev/null; then adduser x2gothinclient pulse; fi
+			if getent group cdrom 1>/dev/null; then adduser x2gothinclient cdrom; fi
+			if getent group plugdev 1>/dev/null; then adduser x2gothinclient plugdev; fi
+			if ! getent group scard 1>/dev/null; then groupadd --system scard; fi
+			if getent group scard 1>/dev/null; then adduser x2goclient scard; fi
+                else
+                        echo "User x2gothinclient already exists." >&2
+                fi
+                ;;
+
+        abort-upgrade|abort-remove|abort-deconfigure)
+                ;;
+
+        *)
+                echo "postinst called with unknown argument \`$1'" >&2
+                exit 1
+                ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/debian/x2gothinclient.postrm b/debian/x2gothinclient.postrm
new file mode 100755
index 0000000..ac60f17
--- /dev/null
+++ b/debian/x2gothinclient.postrm
@@ -0,0 +1,39 @@
+#! /bin/sh
+# postrm script for x2gothinclient
+#
+# see: dh_installdeb(1)
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/share/doc/packaging-manual/
+
+set -e
+
+case "$1" in
+	purge)
+		getent passwd x2gothinclient >/dev/null && deluser x2gothinclient
+		getent group x2gothinclient >/dev/null && delgroup x2gothinclient
+
+		rm -Rf /var/lib/x2gothinclient
+
+		;;
+	remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+		;;
+	*)
+		echo "postrm called with unknown argument \`$1'" >&2
+		exit 0
+		;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
\ No newline at end of file
diff --git a/debian/x2gothinclient.preinst b/debian/x2gothinclient.preinst
new file mode 100755
index 0000000..c8ae413
--- /dev/null
+++ b/debian/x2gothinclient.preinst
@@ -0,0 +1,48 @@
+#!/bin/sh
+# preinst script for x2gothinclient
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+	install|upgrade)
+		if getent passwd x2goclient >/dev/null; then 
+			echo "The manually created user account ,,x2goclient'' is no longer used by"
+			echo "the X2Go thin client environment and can be removed from the thin client"
+			echo "chroot."
+		fi
+		if getent group x2goclient >/dev/null; then 
+			echo "The manually created group ,,x2goclient'' is no longer used by the X2Go thin"
+			echo "client environment and can be removed from the thin client chroot."
+		fi
+		;;
+	abort-upgrade)
+		;;
+	*)
+		echo "preinst called with unknown argument \`$1'" >&2
+		exit 1
+		;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+


hooks/post-receive
-- 
x2gothinclient.git (X2Go Thin Client Environment)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2gothinclient.git" (X2Go Thin Client Environment).




More information about the x2go-commits mailing list